import java.awt.BorderLayout;

import javax.swing.JFrame;

import vtk.*;


public class Vtk1 {

	/**
	 * @param args
	 */
	
	
	
	public static void main(String[] args) {
		vtkPanel vtkpanel = new vtkPanel();
		
		vtkConeSource vtkSource = new vtkConeSource();
		vtkDataSetMapper mapper = new vtkDataSetMapper();
		mapper.SetInput(vtkSource.GetOutput());
		vtkActor actor = new vtkActor();
		actor.SetMapper(mapper);
		vtkpanel.GetRenderer().AddActor(actor);
		
		
		JFrame f = new JFrame("kljh");
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		f.setSize(500, 500);
		f.setLocationRelativeTo(null);
		f.getContentPane().setLayout(new BorderLayout());
		f.getContentPane().add(vtkpanel, BorderLayout.CENTER);
		f.setVisible(true);

	}

}
